Package: org.grails.exceptions.reporting

## [Java] Interface SourceCodeAware

-     public interface SourceCodeAware
      extends java.io.Serializable

  An interface that represents an exception that is capable of providing more information about the source code

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getFileName()`
    `` | `public int` | `getLineNumber()`

- - ### Method Detail

    - #### public java.lang.String getFileName()

    - #### public int getLineNumber()